Get Review Rule Repository List
curl --request GET \
--url https://docflow.textin.ai/api/app-api/sip/platform/v2/review/rule_repo/list \
--header 'x-ti-app-id: <api-key>' \
--header 'x-ti-secret-code: <api-key>'import requests
url = "https://docflow.textin.ai/api/app-api/sip/platform/v2/review/rule_repo/list"
headers = {
"x-ti-app-id": "<api-key>",
"x-ti-secret-code": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'x-ti-app-id': '<api-key>', 'x-ti-secret-code': '<api-key>'}
};
fetch('https://docflow.textin.ai/api/app-api/sip/platform/v2/review/rule_repo/list', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"code": 200,
"msg": "<string>",
"result": {
"repos": [
{
"repo_id": "31415926",
"name": "Review Rule Repo 1",
"groups": [
{
"group_id": "31415926",
"name": "Review Rule Group 1",
"rules": [
{
"rule_id": "31415926",
"name": "Review Rule 1",
"prompt": "Review rule prompt",
"category_ids": [
"1234567890"
],
"referenced_fields": [
{
"category_id": "1234567890",
"category_name": "Invoice",
"fields": [
{
"field_id": "1234567890",
"field_name": "Invoice Code"
}
],
"tables": [
{
"table_id": "1234567890",
"table_name": "Invoice Table",
"fields": [
{
"field_id": "1234567890",
"field_name": "Invoice Code"
}
]
}
]
}
]
}
]
}
],
"category_ids": [
"1234567890"
]
}
],
"total": 100,
"page": 1,
"page_size": 10
}
}Intelligent Review
Get Review Rule Repository List
Get review rule repository list, including rule groups and rules information under the repository
GET
/
api
/
app-api
/
sip
/
platform
/
v2
/
review
/
rule_repo
/
list
Get Review Rule Repository List
Query Parameters
Workspace ID
Example:
"1234567890"
Page number
Example:
1
Page size
Example:
10
⌘I

